org.springframework.context.annotation

## Enum EnableLoadTimeWeaving.AspectJWeaving

- java.lang.Object
- - java.lang.Enum<EnableLoadTimeWeaving.AspectJWeaving>
  - - org.springframework.context.annotation.EnableLoadTimeWeaving.AspectJWeaving

All Implemented Interfaces:
  Serializable, Comparable<EnableLoadTimeWeaving.AspectJWeaving>

Enclosing class:
  EnableLoadTimeWeaving

    public static enum EnableLoadTimeWeaving.AspectJWeaving
    extends Enum<EnableLoadTimeWeaving.AspectJWeaving>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AUTODETECT` Switches on AspectJ load-time weaving if a "META-INF/aop.xml" resource is present in the classpath.
`DISABLED` Switches off Spring-based AspectJ load-time weaving (even if a "META-INF/aop.xml" resource is present on the classpath).
`ENABLED` Switches on Spring-based AspectJ load-time weaving.

### Method Summary

Methods
`static EnableLoadTimeWeaving.AspectJWeaving` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EnableLoadTimeWeaving.AspectJWeaving[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ENABLED

    public static final EnableLoadTimeWeaving.AspectJWeaving ENABLED

Switches on Spring-based AspectJ load-time weaving.

#### DISABLED

    public static final EnableLoadTimeWeaving.AspectJWeaving DISABLED

Switches off Spring-based AspectJ load-time weaving (even if a "META-INF/aop.xml" resource is present on the classpath).

#### AUTODETECT

    public static final EnableLoadTimeWeaving.AspectJWeaving AUTODETECT

Switches on AspectJ load-time weaving if a "META-INF/aop.xml" resource is present in the classpath. If there is no such resource, then AspectJ load-time weaving will be switched off.

### Method Detail

#### values

    public static EnableLoadTimeWeaving.AspectJWeaving[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (EnableLoadTimeWeaving.AspectJWeaving c : EnableLoadTimeWeaving.AspectJWeaving.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static EnableLoadTimeWeaving.AspectJWeaving valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null